#
# spec file for package gnome-calendar
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gnome-calendar
Version:        3.25.90
Release:        0
Summary:        A calendar application for GNOME
License:        GPL-3.0+
Group:          Productivity/Office/Organizers
Url:            https://wiki.gnome.org/Design/Apps/Calendar
Source:         https://download.gnome.org/sources/gnome-calendar/3.25/%{name}-%{version}.tar.xz
BuildRequires:  desktop-file-utils
BuildRequires:  gtk-doc
BuildRequires:  hicolor-icon-theme
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-2.0) >= 2.43.2
BuildRequires:  pkgconfig(glib-2.0) >= 2.43.4
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(goa-1.0) >= 3.2.0
BuildRequires:  pkgconfig(gsettings-desktop-schemas) >= 3.21.2
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.21.1
BuildRequires:  pkgconfig(libecal-1.2) >= 3.13.90
BuildRequires:  pkgconfig(libedataserver-1.2) >= 3.17.1
BuildRequires:  pkgconfig(libical) >= 1.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Calendar is a calendar application for GNOME.

%package -n gnome-shell-search-provider-gnome-calendar
Summary:        GNOME Shell search provider to return results from the GNOME Calendar
Group:          Productivity/Office/Organizers
Supplements:    packageand(gnome-shell:%{name})
Requires:       %{name} = %{version}

%description -n gnome-shell-search-provider-gnome-calendar
This package contains a search provider to enable GNOME Shell to get
search results from GNOME Calendar.

%lang_package
%prep
%setup -q

%build
%meson \
	-Denable-gtk-doc=true \
	%{nil}
%meson_build

%install
%meson_install

%find_lang %{name} %{?no_lang_C}

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING NEWS THANKS
%{_bindir}/gnome-calendar
%{_datadir}/applications/org.gnome.Calendar.desktop
# Own dir for openSUSE Leap 42.1
%dir %{_datadir}/metainfo
%{_datadir}/metainfo/org.gnome.Calendar.metainfo.xml
%{_datadir}/dbus-1/services/org.gnome.Calendar.service
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.*
%dir %{_datadir}/gtk-doc/html/%{name}
%doc %{_datadir}/gtk-doc/html/%{name}/*.*

%files -n gnome-shell-search-provider-gnome-calendar
%defattr(-,root,root)
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.Calendar.search-provider.ini

%files lang -f %name.lang

%changelog
